---
title: MySqlException
---

# MySqlException class

[`MySqlException`](../MySqlExceptionType/) is thrown when MySQL Server returns an error code, or there is a communication error with the server.

```csharp
public sealed class MySqlException : DbException
```

## Public Members

| name | description |
| --- | --- |
| override [Data](../MySqlException/Data/) { get; } |  |
| [ErrorCode](../MySqlException/ErrorCode/) { get; } | A [`MySqlErrorCode`](../MySqlErrorCodeType/) value identifying the kind of error. |
| [Number](../MySqlException/Number/) { get; } | A [`MySqlErrorCode`](../MySqlErrorCodeType/) value identifying the kind of error. Prefer to use the [`ErrorCode`](../MySqlException/ErrorCode/) property. |
| [SqlState](../MySqlException/SqlState/) { get; } | A `SQLSTATE` code identifying the kind of error. |
| override [GetObjectData](../MySqlException/GetObjectData/)(…) |  |

## See Also

* namespace [MySqlConnector](../../MySqlConnectorNamespace/)
* assembly [MySqlConnector](../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
