---
title: MySqlTransaction
---

# MySqlTransaction class

```csharp
public sealed class MySqlTransaction : DbTransaction
```

## Public Members

| name | description |
| --- | --- |
| [Connection](../MySqlTransaction/Connection/) { get; } |  |
| override [IsolationLevel](../MySqlTransaction/IsolationLevel/) { get; } |  |
| override [Commit](../MySqlTransaction/Commit/)() |  |
| override [CommitAsync](../MySqlTransaction/CommitAsync/)(…) |  |
| override [DisposeAsync](../MySqlTransaction/DisposeAsync/)() |  |
| [Release](../MySqlTransaction/Release/)(…) | Removes the named transaction savepoint with the specified *savepointName*. No commit or rollback occurs. |
| [ReleaseAsync](../MySqlTransaction/ReleaseAsync/)(…) | Asynchronously removes the named transaction savepoint with the specified *savepointName*. No commit or rollback occurs. |
| override [Rollback](../MySqlTransaction/Rollback/)() |  |
| [Rollback](../MySqlTransaction/Rollback/)(…) | Rolls back the current transaction to the savepoint with the specified *savepointName* without aborting the transaction. |
| override [RollbackAsync](../MySqlTransaction/RollbackAsync/)(…) |  |
| [RollbackAsync](../MySqlTransaction/RollbackAsync/)(…) | Asynchronously rolls back the current transaction to the savepoint with the specified *savepointName* without aborting the transaction. |
| [Save](../MySqlTransaction/Save/)(…) | Sets a named transaction savepoint with the specified *savepointName*. If the current transaction already has a savepoint with the same name, the old savepoint is deleted and a new one is set. |
| [SaveAsync](../MySqlTransaction/SaveAsync/)(…) | Asynchronously sets a named transaction savepoint with the specified *savepointName*. If the current transaction already has a savepoint with the same name, the old savepoint is deleted and a new one is set. |

## Protected Members

| name | description |
| --- | --- |
| override [DbConnection](../MySqlTransaction/DbConnection/) { get; } |  |
| override [Dispose](../MySqlTransaction/Dispose/)(…) |  |

## See Also

* namespace [MySqlConnector](../../MySqlConnectorNamespace/)
* assembly [MySqlConnector](../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
